<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:com="http://www.clousoft.com/xbrlrender/commontable" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
		<head>
		<!--aa-->
		</head>
			<script language="javascript">var mainPlus = new Image();	mainPlus.src = "images/mainPlus.gif";
			var mainMinus = new Image(); mainMinus.src = "images/mainMinus.gif";
			var mainNone = new Image(); mainNone.src = "images/mainNone.gif";

			function toggleMenu(id, level, urlParameters)
			{

				var objTmp = document.getElementsByTagName("tr");
				var objAll = new Array();
				for (i=0;i&lt;objTmp.length;++i){
					
					if (objTmp[i].getAttribute("collapse") == "coll")
						objAll.push (objTmp[i]);
				}
			
				//var objAll = document.getElementsByName("collapse");
				var img = document.images["img" + id];
				level = parseInt (level);
			
				var start = 0;
				var collapseLine = true;
				for (i=0;i&lt;objAll.length;++i)
				{
					var obj = objAll[i];
			
					if (start == 1)
					{
						if (obj.getAttribute("level") > level)
						{
							if(collapseLine)
							{
								// Collapse menu
								obj.style.display = "none";
								obj.setAttribute("hasChildren","open");
			
								if (document.images["img" + obj.getAttribute ("id")].src.indexOf("None") == -1){
									var img2 = document.images["img" + obj.getAttribute ("id")];
									img2.src = mainPlus.src;
								}
							}
							else if (obj.getAttribute("level") &lt; level+2)
							{
								// Expand menu
								obj.style.display = "";
								obj.setAttribute("hasChildren","close");
								
								if (document.images["img" + obj.getAttribute ("id")].src.indexOf("None") == -1){
									var img2 = document.images["img" + obj.getAttribute ("id")];
									img2.src = mainPlus.src;
								}
							}
						}
						else
						{
							start=2;
						}
					}
			
					if (start == 0 &amp;&amp; obj.getAttribute("id") == id)
					{
						start=1;
						if(obj.getAttribute("hasChildren") == "open")
						{
							// Collapse menu
							collapseLine = true;
							obj.setAttribute("hasChildren","close");
						}
						else
						{
							// Expand menu
							collapseLine = false;
							obj.setAttribute("hasChildren","open");
						}
					}
				}	

			//	Swap correct images
				if(img.src.indexOf("main") > 0 &amp;&amp; img.src.indexOf("mainNone") == -1)
					img.src = (img.src.indexOf("Plus") > 0)? mainMinus.src:mainPlus.src;
			
				adjustHeights();
			}


			function initCollapse()
			{
				var objTmp = document.getElementsByTagName("tr");
				var objAll = new Array();
				for (i=0;i&lt;objTmp.length;++i){
					
					if (objTmp[i].getAttribute("collapse") == "coll")
						objAll.push (objTmp[i]);
				}

				var objOld;
				var obj;
			
				for (i=1;i&lt;objAll.length;++i)
				{
					objOld = objAll[i-1];
					obj = objAll[i];
					
					if(obj.style.display == "none" &amp;&amp; obj.getAttribute("level") >= objOld.getAttribute("level") )
					{
						objOld.setAttribute ("hasChildren","close");
					}
					
					if(obj.getAttribute("level") &lt;= objOld.getAttribute("level") )
					{
						var img = document.images["img" + objOld.getAttribute ("id")];
						img.src = mainNone.src;
					}
				}

				// the last element has never any hasChildren:
				if (objAll.length > 0)
				{
					var img = document.images["img" + objAll[objAll.length-1].getAttribute ("id")];
					img.src = mainNone.src;
				
					adjustHeights();
				}
				else
				{
					var elem = document.getElementById ("treeHead");
					elem.style.display = "none";
					var elem = document.getElementById ("treeFooter");
					elem.style.display = "none";
					var elem = document.getElementById ("treeEmpty");
					elem.style.display = "";
				}
			}

			function adjustHeights(){
			
				var objTmp = document.getElementsByTagName("tr");
				var objAll = new Array();
				for (i=0;i&lt;objTmp.length;++i){
					
					if (objTmp[i].getAttribute("collapse") == "coll")
						objAll.push (objTmp[i]);
				}
				//var objAll = document.getElementsByName("collapse");
				var objOld2;
				var obj = objAll[0];	
				var lastVisibleObject = 0;
			
				for (i=1;i&lt;objAll.length;++i)
				{
					if (obj.style.display == ""){
						objOld2 = obj;
					}
					obj = objAll[i];
					
					if (obj.style.display == "" &amp;&amp; (objOld2 == null || obj.getAttribute("level") != objOld2.getAttribute("level") ))
					{
						obj.setAttribute ("height","30");
						obj.setAttribute ("valign","bottom");
			
						if (objOld2 != null &amp;&amp; objOld2.getAttribute("valign") == "bottom")
						{
							objOld2.setAttribute ("height","40");
							objOld2.setAttribute ("valign","");
						}
						else 
						{
							if (objOld2 != null)
							{
								objOld2.setAttribute ("height","30");
								objOld2.setAttribute ("valign","top");
							}			
						}
					}
					else
					{
						obj.setAttribute ("height","20");
						obj.setAttribute ("valign","");
			
						if (obj.style.display == ""){
							lastVisibleObject = i;
						}
					}
				}
				
				//objAll[0].setAttribute ("height","40");
				//objAll[0].setAttribute ("valign","");

				objAll[0].setAttribute ("height","30");
				objAll[0].setAttribute ("valign","bottom");

				objAll[lastVisibleObject].setAttribute ("height","30");
				objAll[lastVisibleObject].setAttribute ("valign","top");
			}
			</script>
			<body onload="initCollapse();">
				<div>
					<font size="3px">Produced by XBRL Render  <a href="www.clousoft.com">www.clousoft.com</a></font>
				</div>
				<p/>
				<xsl:for-each select="com:root/com:role/com:xbrltable">
					<a>
						<xsl:attribute name="name">
							<xsl:value-of select="@role"/>
							<xsl:value-of select="@name"/>
						</xsl:attribute>
					</a>
					<table border="0" width="100%">
						<thead>
							<tr bgcolor="#5170a6">
								<td>
									<xsl:attribute name="colspan">
										<xsl:value-of select="count(/com:root/com:context/@id)+1"/>
									</xsl:attribute>
									<span style="color:#ffffff;font-family:Arial; font-weight:bold; ">
										<xsl:value-of select="@name"/>
										<br/>(<xsl:value-of select="@role"/>)</span>
								</td>
							</tr>
							<tr bgColor="#cccccc">
								<td height="10" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;"/>
								<xsl:for-each select="/com:root/com:context/@id">
									<td style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
										<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">
											<xsl:value-of select="."/>
										</span>
									</td>
								</xsl:for-each>
							</tr>
						</thead>
						<tbody>
							<xsl:apply-templates select="com:row">
							</xsl:apply-templates>
						</tbody>
					</table>
					<p/>
				</xsl:for-each>

				<p/>
				<xsl:call-template name="context_unit"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="com:row">

		<xsl:variable name="id" select="@id"/>
		<xsl:variable name="level" select="@indent+1"/>
		<tr collapse="coll" hasChildren="open" bgcolor="#FFFFFF">
			<xsl:attribute name="id">
				<xsl:value-of select="$id"/>
			</xsl:attribute>
			<xsl:attribute name="level">
				<xsl:value-of select="$level"/>
			</xsl:attribute>
			<xsl:attribute name="style">
				<xsl:choose>
					<xsl:when test="$level=1">display:;</xsl:when>
					<xsl:otherwise>display:none;</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<td nowrap="true">
				<xsl:attribute name="style">color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px; padding-left:<xsl:value-of select="$level div 2"/>cm;</xsl:attribute>
				<a href="#">
					<xsl:attribute name="onClick">toggleMenu('<xsl:value-of select="$id"/>','<xsl:value-of select="$level"/>', ''); return false;</xsl:attribute>
					<img border="0">
						<xsl:attribute name="src">images/mainPlus.gif</xsl:attribute>
						<xsl:attribute name="id">img<xsl:value-of select="$id"/></xsl:attribute>
					</img>
				</a>
				<xsl:value-of select="@name"/>
			</td>
			<xsl:variable name="item" select="./com:item"/>
			<xsl:for-each select="/com:root/com:context">
				<xsl:variable name="contextId" select="./@id"/>
				<xsl:choose>
					<xsl:when test="$item[@contextID=$contextId][@type='number']">
						<td align="right" style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<xsl:value-of select="$item[@contextID=$contextId][@type='number']"/>
						</td>
					</xsl:when>
					<xsl:when test="$item[@contextID=$contextId][@type='string']">
						<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<xsl:value-of select="$item[@contextID=$contextId][@type='string']"/>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td align="center" style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">-</td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</tr>
	</xsl:template>
	<xsl:template name="context_unit">
		<xsl:for-each select="com:root">
			<span style="color:#1497C9;font-family:Arial; font-weight:bold; ">Contexts Table</span>
			<table border="0">
				<thead>
					<tr bgcolor="#cccccc">
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">ID</span>
						</td>
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Period</span>
						</td>
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Identifier</span>
						</td>
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Scheme</span>
						</td>
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Segment</span>
						</td>
						<td align="center" style="font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#6666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Scenario</span>
						</td>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="com:context">
						<tr>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@id">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@period">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@identifier">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@scheme">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@segment">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@scenario">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
			<br/>
			<br/>
			<span style="color:#1497C9;font-family:Arial; font-weight:bold; ">Units Table</span>
			<table border="0">
				<thead>
					<tr bgcolor="#cccccc">
						<td align="center" style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#6666666;font-size:8pt;font-family:Arial; font-weight:bold; ">ID</span>
						</td>
						<td align="center" style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
							<span style="color:#666666;font-size:8pt;font-family:Arial; font-weight:bold; ">Content</span>
						</td>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="com:unit">
						<tr>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@id">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
							<td style="color:#666666;font-size:11px;  border-color: #e0e0e0; border-style: solid; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px; border-left-width: 1px;">
								<xsl:for-each select="@content">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2004. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="commontable.xml" htmlbaseurl="" outputurl="content.html" processortype="xalan" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition></MapperMetaTag>
</metaInformation>
-->